## yaml-cpp 0.2.7

=== debian/changelog ===
yaml-cpp (0.2.7-5precise) precise; urgency=high

  * autogenerated

 -- Vincent Rabaud <vrabaud@willowgarage.com>  Tue, 01 May 2012 22:03:59 -0700
