## yaml-cpp 0.3.0

=== debian/changelog ===
yaml-cpp (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #636985)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 03 Jun 2012 23:48:30 +0800
