=== debian/control ===
Source: yaml-cpp
Section: devel
Priority: optional
Maintainer: Lifeng Sun <lifongsun@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/yaml-cpp/
Vcs-Svn: http://yaml-cpp.googlecode.com/svn

Package: libyaml-cpp0.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Section: libdevel
Architecture: any
Depends: libyaml-cpp0.3 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.
