## yaml-cpp 0.3.0-0maemo2

=== debian/changelog ===
yaml-cpp (0.3.0-0maemo2) unstable; urgency=low

  * fixed build dependeny

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 15:52:04 -0400

yaml-cpp (0.3.0-0maemo1) unstable; urgency=low

  * Initial release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:15:56 -0400
