## yaml-cpp 0.5.1

=== debian/changelog ===
yaml-cpp (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #706708)
  * Bump Standards-Version to 3.9.4.
  * libyaml-cpp-dev: remove multiarch path in yaml-cpp.pc to make
    lintian happy.
  * debian/copyright: new Format URI.
  * debian/control: remove Vcs-Svn field.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 30 Aug 2013 18:29:05 +0800
