=== debian/watch ===
version=3
http://code.google.com/p/yaml-cpp/downloads/list .*yaml-cpp-([0-9].*)\.tar\.gz
