## yaml-cpp 0.5.1-0maemo1

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo1) unstable; urgency=low

  * new version

 -- Siim Salonen <siim.salonen@gmail.com>  Wed, 17 Sep 2014 16:01:45 +0300
