## yaml-cpp 0.5.1-0maemo2

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo2) unstable; urgency=low

  * removed libyaml-cpp.so from dev

 -- Siim Salonen <siim.salonen@gmail.com>  Wed, 15 Oct 2014 15:50:23 +0300
