=== debian/rules ===
--- 
+++ 
@@ -83,10 +83,8 @@
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-#	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.1 $(CURDIR)/debian/libyaml-cpp0/usr/lib
 
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
-	cp  $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
 	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
 
 # Build architecture-independent files here.
