## yaml-cpp 0.5.1-0maemo3

=== debian/changelog ===
yaml-cpp (0.5.1-0maemo3) unstable; urgency=low

  * shlibs added

 -- Siim Salonen <siim.salonen@gmail.com>  Tue, 21 Oct 2014 14:11:24 +0300
