=== debian/rules ===
--- 
+++ 
@@ -103,6 +103,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
