=== debian/changelog ===
yaml-cpp (0.5.2-4ubuntu1) zesty; urgency=medium

  * debian/patches/303.patch:
    fix build failures when using yaml-cpp
    (upstream pull request 303)
    - see debian bug #847099)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2017 13:02:56 +0100

yaml-cpp (0.5.2-4) unstable; urgency=medium

  * Make the build reproducible (Closes: #808714)
  * Add libboost-dev dependency (Closes: #812851)
  * Fix yaml-cpp 0.5.2 issue (Closes: #814499)
  * Fix lintian warnings: spelling, standards-version, and Vcs-Git

 -- Paul Novotny <paul@paulnovo.us>  Wed, 12 Oct 2016 19:48:11 -0400

yaml-cpp (0.5.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around bug in googletest causing segfault with gcc-6.
    (Closes: #812284)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 13:27:16 +0200

yaml-cpp (0.5.2-3) unstable; urgency=medium

  * Fix error in yaml-cpp-config.cmake
  * Disable gtest's use of pthread on hurd and kfreebsd

 -- Paul Novotny <paul@paulnovo.us>  Mon, 30 Nov 2015 16:53:57 -0500

yaml-cpp (0.5.2-2) unstable; urgency=medium

  * Rename libyaml-cpp0.5 to libyaml-cpp0.5v5 for gcc5 transition
    (Closes: #791317)

 -- Paul Novotny <paul@paulnovo.us>  Tue, 04 Aug 2015 18:03:35 -0400

yaml-cpp (0.5.2-1) unstable; urgency=medium

  * Update due to yaml-cpp from Google Code to GitHub
  * Imported Upstream version 0.5.2
  * Remove patches/fix-unit-test.patch, applied upstream
  * Remove patches/remove-conflicting-google-libs.patch, applied upstream

 -- Paul Novotny <paul@paulnovo.us>  Thu, 23 Apr 2015 16:40:20 -0400

yaml-cpp (0.5.1+hg20150210-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Import latest upstream
  * Fix failing unit tests
  * Inject package into collab-maint to enable more people contributing
  * cme fix dpkg-control
  * debhelper 9
  
  [ Paul Novotny ]
  * Add myself as Uploader
  * Import latest upstream VCS status
  * Fix failing unit tests, update version number
  * Install cmake development files

 -- Andreas Tille <tille@debian.org>  Mon, 09 Feb 2015 13:36:42 +0100
