=== debian/control ===
Source: yaml-cpp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Lifeng Sun <lifongsun@gmail.com>
Uploaders: Andreas Tille <tille@debian.org>,
           Paul Novotny <paul@paulnovo.us>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yaml-cpp.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.5v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libyaml-cpp0.5
Replaces: libyaml-cpp0.5
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.5v5 (= ${binary:Version}),
         libboost-dev,
         ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.
