=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/yaml-cpp-$1\.tar\.gz/ \
  https://github.com/jbeder/yaml-cpp/releases .*/release-?(\d\S*)\.tar\.gz
