## yaml-cpp 0.5.3-0maemo1

=== debian/changelog ===
yaml-cpp (0.5.3-0maemo1) unstable; urgency=low

  * new version

 -- Siim Salonen <siim.salonen@gmail.com>  Sun, 14 Aug 2016 16:48:31 +0300
