=== debian/control ===
Source: yaml-cpp
Priority: optional
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev
Standards-Version: 3.7.2

Package: libyaml-cpp0-dev
Section: devel
Architecture: any
Depends: libyaml-cpp0 (= ${Source-Version})
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec.
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de

Package: libyaml-cpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: yaml-cpp is a YAML parser and emitter in C++ matching the YAML 1.2 spec. 
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
