## yaml-cpp 0.5.3-0maemo2

=== debian/changelog ===
yaml-cpp (0.5.3-0maemo2) unstable; urgency=low

  * 0.5.3 was broken. revert to 0.5.1

 -- Siim Salonen <siim.salonen@gmail.com>  Tue, 16 Aug 2016 13:44:40 +0300
