=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: yaml-cpp
 Priority: optional
 Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
-Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev
+Build-Depends: debhelper (>= 5), cmake, autotools-dev, quilt, libboost1.38-dev | libboost1.53-dev
 Standards-Version: 3.7.2
 
 Package: libyaml-cpp0-dev
