=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	#rm -f $(CURDIR)/src/config.h
 	rm -rf $(BUILDDIR)
 
 	dh_clean 
@@ -76,16 +75,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs
+#	dh_installdirs
 
 	# Put binary in prefix while installing data
-	cd $(BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/yaml-cpp install
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5.3 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so.0.5 $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/libyaml-cpp.so $(CURDIR)/debian/libyaml-cpp0/usr/lib/
-
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/include $(CURDIR)/debian/libyaml-cpp0-dev/usr
-	cp -a $(CURDIR)/debian/yaml-cpp/usr/lib/pkgconfig $(CURDIR)/debian/libyaml-cpp0-dev/usr/lib
+	$(MAKE) -C $(BUILDDIR) DESTDIR=$(CURDIR)/debian/libyaml install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -97,8 +90,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installexamples
-	dh_installman
+	dh_install
 	dh_link
 	dh_strip
 	dh_compress
