=== debian/changelog ===
yaml-cpp (0.6.2-4ubuntu1) focal; urgency=medium

  * d/patches/fix-CVE-2017-11692.patch:
    - Cherry-pick upstream fix for DoS crash on invalid input.
      (Upstream bug: https://github.com/jbeder/yaml-cpp/issues/519)
  * d/patches/fix-unbounded-recursion-depth.patch:
    - Cherry-pick upstream pull request
      (https://github.com/jbeder/yaml-cpp/pull/807) fixing multiple CVEs
      (CVE-2017-5950, CVE-2018-20573, CVE-2018-20574, CVE-2019-6285)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 17 Mar 2020 18:03:25 +1100

yaml-cpp (0.6.2-4fakesync1) disco-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 Jan 2019 15:35:43 -0600

yaml-cpp (0.6.2-4) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 07 Jan 2019 16:00:33 -0600

yaml-cpp (0.6.2-3) experimental; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 05 Jan 2019 17:27:47 -0600

yaml-cpp (0.6.2-2) experimental; urgency=medium

  [ Christopher James Halse Rogers ]
  * d/libyaml-cpp0.6.symbols:
    - Add symbols file now that only public symbols are exported
  * d/libyaml-cpp-dev.install:
    - Don't install gtest/gmock headers (Closes: #915575)

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 23 Dec 2018 22:25:40 -0600

yaml-cpp (0.6.2-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.0
  * Point Vcs-fields to Salsa
  * Fix watch file

  [ Graham Inggs ]
  * Drop patches no longer needed
  * Drop dependencies on libboost-dev, no longer needed
  * Rename binary package for libyaml-cpp0.6 transition

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Christopher James Halse Rogers ]
  * patches/symbol-visibility.patch: Hide non-public-API symbols.
    - Cuts down the number of exported symbols by over half, and makes
      it more feasible to use a .symbols file
  * d/rules: Use VERBOSE make.
    - Lets the hardening buildlog scanning check that the appropriate
      flags have been passed, and makes it easier to debug build
      failures.

  [ Simon Quigley ]
  * Take over maintainership of the package (Closes: #914853).
  * Depend on debhelper 11.
  * Run wrap-and-sort.
  * Bump Standards-version to 4.2.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Nov 2018 18:23:07 -0600
