=== debian/control ===
Source: yaml-cpp
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.6 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.
